> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Get my paginated badges

> Retrieve a paginated list of the current user's badges.



## OpenAPI

````yaml /openapi/integration.json get /me/badges
openapi: 3.0.3
info:
  title: Nudj Integration API
  version: 1.0.0
servers:
  - url: https://{subdomain}.nudj.cx/api/v2/integration
    description: Organization API Server
    variables:
      subdomain:
        description: Your organization's subdomain (required)
        default: your-org
security:
  - ApiToken: []
paths:
  /me/badges:
    get:
      tags:
        - Badge
      summary: Get my paginated badges
      description: Retrieve a paginated list of the current user's badges.
      operationId: getMyPaginatedBadges
      parameters:
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
          required: false
        - in: query
          name: skip
          schema:
            type: integer
            minimum: 0
            default: 0
          required: false
        - in: query
          name: sort
          schema:
            type: string
        - in: query
          name: search
          schema:
            type: string
        - in: query
          name: communityId
          schema:
            type: string
        - in: query
          name: allocationId
          schema:
            type: string
        - in: query
          name: featured
          schema:
            type: boolean
        - in: query
          name: verified
          schema:
            type: boolean
        - in: query
          name: isShop
          schema:
            type: boolean
        - in: query
          name: type
          schema:
            type: string
        - in: query
          name: status
          schema:
            type: string
        - in: query
          name: eventCategory
          schema:
            type: string
        - in: query
          name: eventSubCategory
          schema:
            type: string
        - in: query
          name: eventName
          schema:
            type: string
        - in: query
          name: displayMode
          schema:
            type: string
        - in: query
          name: fromDate
          schema:
            type: string
        - in: query
          name: toDate
          schema:
            type: string
        - in: query
          name: isGlobalTemplate
          schema:
            type: boolean
        - in: query
          name: key
          schema:
            type: string
        - in: query
          name: progressPeriod
          schema:
            type: string
        - in: query
          name: expand
          schema:
            type: string
        - in: query
          name: redeemableType
          schema:
            type: string
        - in: header
          name: x-language
          description: >-
            The language to return the badges in. If not provided, the default
            language for the organisation will be used.
          schema:
            type: string
            description: >-
              The language to return the badges in. If not provided, the default
              language for the organisation will be used.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  totalCount:
                    type: number
                  edges:
                    type: array
                    items:
                      $ref: '#/components/schemas/RewardAsset'
                required:
                  - totalCount
                  - edges
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    RewardAsset:
      type: object
      properties:
        id:
          type: string
        organisationId:
          type: string
        communityId:
          type: string
        rewardId:
          type: string
        allocationId:
          type: string
        userId:
          type: string
        details:
          $ref: '#/components/schemas/Details'
        redeemable:
          $ref: '#/components/schemas/RewardAssetRedeemable'
        eventCategory:
          type: string
          enum:
            - achievement
            - action
            - auth
            - blog
            - challenge
            - community
            - custom
            - game
            - leaderboard
            - organisation
            - points
            - post
            - referral
            - reward
            - shop
            - social
            - social-connection
            - streak
            - user
            - variable
            - xp
        eventSubCategory:
          type: string
          enum:
            - achievement-completion
            - facebook-comment
            - facebook-follow
            - facebook-like
            - image-analysis-object-detection
            - image-analysis-receipt-detection
            - instagram-follow
            - instagram-like
            - instagram-comment
            - instagram-share
            - instagram-post
            - interaction-engage-with-content
            - interaction-external-link
            - interaction-image-upload
            - interaction-spot-object
            - platform-comment-on-post
            - platform-complete-achievement
            - platform-generative-action
            - platform-like-post
            - platform-play-game
            - platform-validate-event
            - question-multiple-choice
            - question-open-ended
            - question-rate-your-experience
            - question-secret-access-code
            - question-select-date
            - question-select-from-images
            - question-select-value-in-range
            - question-select-from-list
            - question-closed-ended
            - question-vote
            - spotify-follow
            - spotify-listen
            - spotify-save
            - tiktok-follow
            - tiktok-watch
            - tiktok-post
            - youtube-like
            - youtube-comment
            - youtube-subscribe
            - action-completion
            - skip-action
            - 42-school
            - api-auth-link
            - api-token-link
            - apple
            - asgardeo
            - atlassian
            - auth0
            - authentik
            - azure-ad-b2c
            - azure-ad
            - azure-devops
            - battlenet
            - beyondidentity
            - box
            - boxyhq-saml
            - bungie
            - click-up
            - cognito
            - coinbase
            - descope
            - discord
            - dribbble
            - dropbox
            - duende-identity-server6
            - email
            - eveonline
            - facebook
            - faceit
            - foursquare
            - freshbooks
            - fusionauth
            - github
            - gitlab
            - google
            - hubspot
            - identity-server4
            - instagram
            - kakao
            - keycloak
            - line
            - linkedin
            - mailchimp
            - mailru
            - mastodon
            - mattermost
            - medium
            - naver
            - netlify
            - notion
            - okta
            - onelogin
            - organisation-oidc
            - osso
            - osu
            - passage
            - patreon
            - pinterest
            - pipedrive
            - reddit
            - salesforce
            - slack
            - spotify
            - strava
            - tiktok
            - todoist
            - trakt
            - twitch
            - twitter
            - united-effects
            - vk
            - wikimedia
            - wordpress
            - workos
            - yandex
            - youtube
            - zitadel
            - zoho
            - zoom
            - blog-comment
            - blog-like
            - blog-share
            - blog-view
            - challenge-started
            - challenge-completion
            - challenge-unlock
            - community-visit
            - parental-approval-requested
            - parental-approval-approved
            - parental-approval-rejected
            - custom
            - game-started
            - game-completed
            - leaderboard-finish
            - invite-admin-user
            - points-credit
            - points-spend
            - post-comment
            - post-like
            - post-view
            - reward-redemption
            - reward-allocation-purchase
            - reward-giveaway-winner
            - reward-claim
            - reward-distribution
            - manual-distribution
            - referral-link-used
            - shop-purchase
            - share-challenge-details
            - share-challenge-results
            - share-community
            - share-reward
            - share-post
            - share-profile
            - share-anything
            - streak-extended
            - profile-picture-added
            - bio-added
            - variable-captured
            - xp-gained
            - xp-total
            - xp-leaderboard-topper
        eventSourceId:
          type: string
          nullable: true
        tags:
          type: array
          items:
            type: string
        campaigns:
          type: array
          items:
            type: string
        metadata:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
              - type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
                    - type: boolean
          description: Additional metadata inherited from the reward
        claimedAt:
          type: string
          nullable: true
        redeemedAt:
          type: string
          nullable: true
        expiresAt:
          type: string
          nullable: true
        createdAt:
          type: string
        updatedAt:
          type: string
        additionalCommunityIds:
          type: array
          items:
            type: string
          description: Additional communities this reward asset belongs to/is available in
      required:
        - id
        - organisationId
        - communityId
        - rewardId
        - allocationId
        - userId
        - details
        - redeemable
        - eventCategory
        - eventSubCategory
        - tags
        - campaigns
        - metadata
        - createdAt
        - updatedAt
        - additionalCommunityIds
      title: Reward Asset
      description: A reward asset
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  oneOf:
                    - type: string
                    - type: integer
                description: The path to the field that caused the error
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  oneOf:
                    - type: string
                    - type: integer
                description: The path to the field that caused the error
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  oneOf:
                    - type: string
                    - type: integer
                description: The path to the field that caused the error
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
    Details:
      type: object
      properties:
        title:
          type: string
          description: The title of the entity
        description:
          type: string
          nullable: true
          description: The description of the entity
        light:
          type: object
          properties:
            primaryImageUrl:
              type: string
              nullable: true
              description: The url of the primary image for this theme mode
            secondaryImageUrl:
              type: string
              nullable: true
              description: The url of the secondary image for this theme mode
          required:
            - primaryImageUrl
            - secondaryImageUrl
          description: Light theme images
        dark:
          type: object
          properties:
            primaryImageUrl:
              type: string
              nullable: true
              description: The url of the primary image for this theme mode
            secondaryImageUrl:
              type: string
              nullable: true
              description: The url of the secondary image for this theme mode
          required:
            - primaryImageUrl
            - secondaryImageUrl
          description: Dark theme images
      required:
        - title
        - description
        - light
        - dark
      description: Used to describe an entity
      title: Details
    RewardAssetRedeemable:
      oneOf:
        - $ref: '#/components/schemas/RewardAssetRedeemableRichText'
        - $ref: '#/components/schemas/RewardAssetRedeemableCode'
        - $ref: '#/components/schemas/RewardAssetRedeemableBadge'
        - $ref: '#/components/schemas/RewardAssetRedeemableShopify'
      discriminator:
        propertyName: type
        mapping:
          rich-text:
            $ref: '#/components/schemas/RewardAssetRedeemableRichText'
          code:
            $ref: '#/components/schemas/RewardAssetRedeemableCode'
          badge:
            $ref: '#/components/schemas/RewardAssetRedeemableBadge'
          shopify:
            $ref: '#/components/schemas/RewardAssetRedeemableShopify'
      description: A reward asset redeemable
      title: Reward Asset Redeemable
    RewardAssetRedeemableRichText:
      type: object
      properties:
        instructions:
          type: string
          nullable: true
          description: Instructions for redeeming this reward. HTML is supported.
        instructionsImageUrl:
          type: string
          nullable: true
          description: The URL of an image to display with the instructions
        supportEmail:
          type: string
          nullable: true
          format: email
          description: The email address of the support team
        supportPhoneNumber:
          type: string
          nullable: true
          description: The phone number of the support team
        supportUrl:
          type: string
          nullable: true
          description: The URL of the support team
        type:
          type: string
          enum:
            - rich-text
        additionalInformation:
          type: array
          items:
            $ref: '#/components/schemas/VariableConfigReference'
          description: >-
            Configurable form fields to collect additional user information when
            user redeems the reward. Each field (e.g., email, phone, address) is
            defined by a variable config that specifies its type, validation
            rules, and display order.
        redeemByDate:
          type: string
          nullable: true
        content:
          type: string
      required:
        - type
        - additionalInformation
        - content
      description: A reward asset redeemable rich text
      title: Reward Asset Redeemable Rich Text
    RewardAssetRedeemableCode:
      type: object
      properties:
        instructions:
          type: string
          nullable: true
          description: Instructions for redeeming this reward. HTML is supported.
        instructionsImageUrl:
          type: string
          nullable: true
          description: The URL of an image to display with the instructions
        supportEmail:
          type: string
          nullable: true
          format: email
          description: The email address of the support team
        supportPhoneNumber:
          type: string
          nullable: true
          description: The phone number of the support team
        supportUrl:
          type: string
          nullable: true
          description: The URL of the support team
        type:
          type: string
          enum:
            - code
        additionalInformation:
          type: array
          items:
            $ref: '#/components/schemas/VariableConfigReference'
          description: >-
            Configurable form fields to collect additional user information when
            user redeems the reward. Each field (e.g., email, phone, address) is
            defined by a variable config that specifies its type, validation
            rules, and display order.
        redeemByDate:
          type: string
          nullable: true
        prefix:
          type: string
          nullable: true
        displayMode:
          type: string
          enum:
            - text
            - link
            - barcode-code128
            - barcode-code39
            - barcode-code39ext
            - barcode-upca
            - barcode-upce
            - barcode-ean13
            - barcode-ean8
            - barcode-ean5
            - barcode-ean2
            - barcode-itf14
            - barcode-interleaved2of5
            - barcode-qr
            - barcode-datamatrix
            - barcode-pdf417
            - barcode-azteccode
            - shopify-code-and-store-link
            - shopify-checkout-link
        code:
          type: string
      required:
        - type
        - additionalInformation
        - displayMode
        - code
      description: A reward asset redeemable code
      title: Reward Asset Redeemable Code
    RewardAssetRedeemableBadge:
      type: object
      properties:
        instructions:
          type: string
          nullable: true
          description: Instructions for redeeming this reward. HTML is supported.
        instructionsImageUrl:
          type: string
          nullable: true
          description: The URL of an image to display with the instructions
        supportEmail:
          type: string
          nullable: true
          format: email
          description: The email address of the support team
        supportPhoneNumber:
          type: string
          nullable: true
          description: The phone number of the support team
        supportUrl:
          type: string
          nullable: true
          description: The URL of the support team
        type:
          type: string
          enum:
            - badge
          description: Badge redeemable type
        additionalInformation:
          type: array
          items:
            $ref: '#/components/schemas/VariableConfigReference'
          description: >-
            Configurable form fields to collect additional user information when
            user redeems the reward. Each field (e.g., email, phone, address) is
            defined by a variable config that specifies its type, validation
            rules, and display order.
        redeemByDate:
          type: string
          nullable: true
      required:
        - type
        - additionalInformation
      description: A reward asset redeemable for badges
      title: RewardAssetRedeemableBadge
    RewardAssetRedeemableShopify:
      type: object
      properties:
        instructions:
          type: string
          nullable: true
          description: Instructions for redeeming this reward. HTML is supported.
        instructionsImageUrl:
          type: string
          nullable: true
          description: The URL of an image to display with the instructions
        supportEmail:
          type: string
          nullable: true
          format: email
          description: The email address of the support team
        supportPhoneNumber:
          type: string
          nullable: true
          description: The phone number of the support team
        supportUrl:
          type: string
          nullable: true
          description: The URL of the support team
        type:
          type: string
          enum:
            - shopify
        additionalInformation:
          type: array
          items:
            $ref: '#/components/schemas/VariableConfigReference'
          description: >-
            Configurable form fields to collect additional user information when
            user redeems the reward. Each field (e.g., email, phone, address) is
            defined by a variable config that specifies its type, validation
            rules, and display order.
        redeemByDate:
          type: string
          nullable: true
        displayMode:
          type: string
          enum:
            - text
            - link
            - barcode-code128
            - barcode-code39
            - barcode-code39ext
            - barcode-upca
            - barcode-upce
            - barcode-ean13
            - barcode-ean8
            - barcode-ean5
            - barcode-ean2
            - barcode-itf14
            - barcode-interleaved2of5
            - barcode-qr
            - barcode-datamatrix
            - barcode-pdf417
            - barcode-azteccode
            - shopify-code-and-store-link
            - shopify-checkout-link
        isReady:
          type: boolean
        shopifyBulkAddResourceId:
          type: string
          nullable: true
        shopifyStoreLink:
          type: string
        code:
          type: string
      required:
        - type
        - additionalInformation
        - displayMode
        - isReady
        - shopifyStoreLink
        - code
      description: A reward asset redeemable for a Shopify discount
      title: Reward Asset Redeemable for a Shopify discount
    VariableConfigReference:
      type: object
      properties:
        variableConfigId:
          type: string
          pattern: ^[0-9a-fA-F]{24}$
          description: >-
            The ID of the variable config that defines the data type, validation
            rules, and UI rendering
        required:
          type: boolean
          description: >-
            Whether this variable must be filled out by the user before
            proceeding
        position:
          type: number
          minimum: 1
          description: The display order position of this variable in the form or UI
      required:
        - variableConfigId
        - required
        - position
      title: Variable Config Reference
      description: >-
        A reference to a variable configuration that defines a form field or
        data collection point, including its display order, requirement status,
        and validation rules. Used to specify what information to collect from
        users in forms, communities, and other data collection contexts.
  securitySchemes:
    ApiToken:
      type: apiKey
      in: header
      name: x-api-token

````